%define upstream_name	Class-Data-Accessor
%define upstream_version	0.04004

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 14

Summary:	Inheritable, overrideable class and instance data accessor creation
License:	Artistic/GPL
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:	perl(Carp)
BuildRequires:	perl(inc::Module::Install)
BuildArch:	noarch

%description
Class::Data::Accessor is the marriage of Class::Accessor and
Class::Data::Inheritable into a single module. It is used for creating
accessors to class data that overrideable in subclasses as well as in
class instances.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes
%{_mandir}/*/*
%{perl_vendorlib}/Class



%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.40.40-14.mga9
+ Revision: 1808475
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.40.40-13.mga8
+ Revision: 1503556
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.40.40-12.mga7
+ Revision: 1282255
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.40.40-11.mga7
+ Revision: 1163344
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.40.40-10.mga7
+ Revision: 1158933
- add BR on perl(inc::Module::Install)

* Sat Jun 18 2016 pterjan <pterjan> 0.40.40-9.mga6
+ Revision: 1023901
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.40.40-8.mga6
+ Revision: 937463
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.40.40-7.mga6
+ Revision: 937016
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.40.40-6.mga5
+ Revision: 750860
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.40-5.mga5
+ Revision: 683904
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.40.40-4.mga4
+ Revision: 509969
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.40-3.mga3
+ Revision: 364341
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.40.40-2.mga1
+ Revision: 22108
- cleaning spec file
- imported package perl-Class-Data-Accessor

